| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | List of all members
cv::cuda::DisparityBilateralFilter Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Stereo Correspondence

Class refining a disparity map using joint bilateral filtering. : More...

`#include "cudastereo.hpp"`

Inheritance diagram for cv::cuda::DisparityBilateralFilter:

## Public Member Functions
virtual void | apply (InputArray disparity, InputArray image, OutputArray dst, Stream &stream=Stream::Null())=0
| Refines a disparity map using joint bilateral filtering. More...
virtual double | getEdgeThreshold () const =0
| truncation of data continuity More...
virtual double | getMaxDiscThreshold () const =0
| truncation of disparity continuity More...
virtual int | getNumDisparities () const =0
virtual int | getNumIters () const =0
virtual int | getRadius () const =0
virtual double | getSigmaRange () const =0
| filter range sigma More...
virtual void | setEdgeThreshold (double edge_threshold)=0
virtual void | setMaxDiscThreshold (double max_disc_threshold)=0
virtual void | setNumDisparities (int numDisparities)=0
virtual void | setNumIters (int iters)=0
virtual void | setRadius (int radius)=0
virtual void | setSigmaRange (double sigma_range)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class refining a disparity map using joint bilateral filtering. :

The class implements [208] algorithm.

## Member Function Documentation

## § apply()

virtual void cv::cuda::DisparityBilateralFilter::apply | ( | InputArray | disparity,
|  | InputArray | image,
|  | OutputArray | dst,
|  | Stream & | stream = `Stream::Null()`
| ) |  |
| pure virtual

Refines a disparity map using joint bilateral filtering.

Parameters

  disparity | Input disparity map. CV_8UC1 and CV_16SC1 types are supported.
  image | Input image. CV_8UC1 and CV_8UC3 types are supported.
  dst | Destination disparity map. It has the same size and type as disparity .
  stream | Stream for the asynchronous version.

## § getEdgeThreshold()

virtual double cv::cuda::DisparityBilateralFilter::getEdgeThreshold | ( |  | ) | const
| pure virtual

truncation of data continuity

## § getMaxDiscThreshold()

virtual double cv::cuda::DisparityBilateralFilter::getMaxDiscThreshold | ( |  | ) | const
| pure virtual

truncation of disparity continuity

## § getNumDisparities()

virtual int cv::cuda::DisparityBilateralFilter::getNumDisparities | ( |  | ) | const
| pure virtual

## § getNumIters()

virtual int cv::cuda::DisparityBilateralFilter::getNumIters | ( |  | ) | const
| pure virtual

## § getRadius()

virtual int cv::cuda::DisparityBilateralFilter::getRadius | ( |  | ) | const
| pure virtual

## § getSigmaRange()

virtual double cv::cuda::DisparityBilateralFilter::getSigmaRange | ( |  | ) | const
| pure virtual

filter range sigma

## § setEdgeThreshold()

virtual void cv::cuda::DisparityBilateralFilter::setEdgeThreshold | ( | double | edge_threshold | ) |
| pure virtual

## § setMaxDiscThreshold()

virtual void cv::cuda::DisparityBilateralFilter::setMaxDiscThreshold | ( | double | max_disc_threshold | ) |
| pure virtual

## § setNumDisparities()

virtual void cv::cuda::DisparityBilateralFilter::setNumDisparities | ( | int | numDisparities | ) |
| pure virtual

## § setNumIters()

virtual void cv::cuda::DisparityBilateralFilter::setNumIters | ( | int | iters | ) |
| pure virtual

## § setRadius()

virtual void cv::cuda::DisparityBilateralFilter::setRadius | ( | int | radius | ) |
| pure virtual

## § setSigmaRange()

virtual void cv::cuda::DisparityBilateralFilter::setSigmaRange | ( | double | sigma_range | ) |
| pure virtual

The documentation for this class was generated from the following file:

- cudastereo/include/opencv2/cudastereo.hpp